org.apache.solr.rest

## Interface ManagedResourceStorage.StorageIO

- All Known Implementing Classes:
    ManagedResourceStorage.FileStorageIO, ManagedResourceStorage.InMemoryStorageIO, ManagedResourceStorage.ZooKeeperStorageIO
  Enclosing class:
    ManagedResourceStorage

      public static interface ManagedResourceStorage.StorageIO

  Hides the underlying storage implementation for data being managed by a ManagedResource. For instance, a ManagedResource may use JSON as the data format and an instance of this class to persist and load the JSON bytes to/from some backing store, such as ZooKeeper.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(SolrResourceLoader loader, NamedList<String> initArgs)`
    `boolean` | `delete(String storedResourceId)`
    `boolean` | `exists(String storedResourceId)`
    `String` | `getInfo()`
    `InputStream` | `openInputStream(String storedResourceId)`
    `OutputStream` | `openOutputStream(String storedResourceId)`

- - ### Method Detail

    - #### getInfo

          String getInfo()

    - #### configure

          void configure(SolrResourceLoader loader,
                         NamedList<String> initArgs)
                  throws SolrException

      Throws:
        `SolrException`

    - #### exists

          boolean exists(String storedResourceId)
                  throws IOException

      Throws:
        `IOException`

    - #### openInputStream

          InputStream openInputStream(String storedResourceId)
                               throws IOException

      Throws:
        `IOException`

    - #### openOutputStream

          OutputStream openOutputStream(String storedResourceId)
                                 throws IOException

      Throws:
        `IOException`

    - #### delete

          boolean delete(String storedResourceId)
                  throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.